using ConstructorApp.EntityLayer.Entities;

namespace ConstructorApp.BusinessLayer.Abstract
{
    public interface IProjectService : IGenericService<Project>
    {
        void TProjectStatusActive(int id);
        void TProjectStatusPassive(int id);
        int TCountAll();
        Project TGetBySlug(string slug);
        Project TGetProjectWithImagesBySlug(string slug);
    }
}
